# $Revision: 1.24 $, $Date: 2002/09/13 18:57:07 $
Summary:	a set of libraries to build 3d simulations, games etc.
Summary(pl):	zestaw bibliotek do budowania trjwymiarowych symulacji, gier itp.
Name:		SimGear
Version:	0.2.0
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.simgear.org/pub/simgear/Source/%{name}-%{version}.tar.gz
Patch0:		%{name}-shared.patch
URL:		http://www.simgear.org/
Requires:	OpenGL
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
BuildRequires:	glut-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	plib >= 1.6.0
BuildRequires:	zlib-devel
BuildRequires:	tcl-devel
BuildRequires:	metakit-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautoreqdep libGL.so.1 libGLU.so.1

%description
SimGear is a set of open-source libraries designed to be used as
building blocks for quickly assembling 3d simulations, games, and
visualization applications.

The term "Simulation Kernel" is a bit presumptuous for us at this
point, but this is the direction we are heading with SimGear.

%description -l pl
SimGear to zestaw bibliotek zaprojektowanych do wykorzystania jako
klocki do szybkiego zestawiania trjwymiarowych symulacji, gier...

W tej chwili jest jeszcze troch za wczenie na uywanie terminu
"Jdro Symulacji", ale to jest kierunek w ktrym zmierza SimGear.

%package devel
Summary:	header files for SimGear
Summary(pl):	pliki nagwkowe dla SimGear
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files neccessary to build SimGear applications.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania aplikacji z SimGearem.

%package static
Summary:	static SimGear libraries
Summary(pl):	statyczne biblioteki SimGear
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static SimGear libraries.

%description static -l pl
Statyczne biblioteki SimGear.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-x \
	--with-tcl=/usr/lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc COPYING 
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: SimGear.spec,v $
Revision 1.24  2002/09/13 18:57:07  zagrodzki
- req. plib >= 1.6.0

Revision 1.23  2002/09/13 18:55:35  zagrodzki
- updated to 0.2.0
- STBR

Revision 1.22  2002/08/28 12:11:34  aflinta
- updated %doc
- release 2

Revision 1.21  2002/08/28 11:46:04  mmazur
- build; nfy - aflinta fix %doc

Revision 1.20  2002/08/28 10:27:53  aflinta
- NFY

Revision 1.19  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/05/10 21:11:13  kloczek
- cosmetics.

Revision 1.17  2002/05/09 12:44:54  mmazur
- updated to 0.0.18; rel1; STBR

Revision 1.16  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/19 14:01:38  ankry
- URL fixed

Revision 1.14  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:38:17  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/02/01 14:55:04  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.11  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/22 09:43:45  misiek
- use external metakit library
- metakit and DESTDIR patches removed
- release 3

Revision 1.9  2001/04/22 00:24:05  kloczek
- /sbin/ldconfig must be runed in %post, %postun in main package (not in devel),
- cosmetics.

Revision 1.8  2001/04/21 23:49:42  zagrodzki
- added metakit.patch

Revision 1.7  2001/04/21 23:17:49  zagrodzki
- release 2
- added libtool support

Revision 1.6  2001/04/21 21:54:18  zagrodzki
- and more...

Revision 1.5  2001/04/21 21:52:33  zagrodzki
- and more fixes...

Revision 1.4  2001/04/21 21:49:29  zagrodzki
- and more fixes :)

Revision 1.3  2001/04/21 21:44:40  zagrodzki
- more improvements

Revision 1.2  2001/04/21 21:43:00  zagrodzki
- ldconfig

Revision 1.1  2001/04/21 21:40:49  zagrodzki
- initial release
